## Robot Package Template

### Installation
```
sudo apt-get install ros-iron-ros-gz ros-iron-robot-state-publisher libignition-gazebo6-dev libignition-common4-dev libignition-transport8-dev libignition-msgs5-dev libignition-cmake2-dev
```
Then normal ROS2 install and buidl procedure.

### Execution
```
ros2 launch sensor_sim launch_sim.py
```

### Changing the position of lidar and camera

In `/description/lidar.xacro` there is a block looking like this:

```
<joint name="laser_joint" type="fixed">
    <parent link="chassis"/>
    <child link="laser_frame"/>
    <origin xyz="-1.1 0.0 1.0" rpy="0 0 0"/>
</joint>
```
Modifying the origin key changes the position of the lidar (relative to the center of the front axle of the car). The simulation needs to be restarted.
There is a similar block in `/description/bbox_camera.xacro` looking like
```
<joint name="camera_joint" type="fixed">
    <parent link="laser_frame"/>
    <child link="camera_link"/>
    <origin xyz="0 -0.2 0" rpy="0 0 0"/>
</joint>
```
Modifying the origin yields the same result, but the camera is relative to the position of the lidar.